# Sinara 4624 AWG Phaser (Upconverter/Baseband)

[Wiki](https://github.com/sinara-hw/Phaser/wiki)

## JSON

```json
{
   "type": "phaser",
   "hw_rev": "vX.Y", // optional
   "ports": [<port num>]
}
```

## Testing

After running `artiq_sinara_test`:

```text
*** Testing Phaser DACs and 6 USER LEDs.
Frequencies:
phaser0 10+0 10+1 10+2 10+3 10+4 MHz
```

### Upconverter

1. Install gqrx `nix-shell -p gqrx`
2. Connect bladeRF via USB cable only
3. Run gqrx and choose `BladeRF #<number>...`
4. Input rate 30000000, other settings are default
5. When gqrx loaded, start DSP processing with frequency near 2.875 GHz + frequencies from `artiq_sinara_test`
   in `Receiver Options`
6. Connect the probe through attenuator to the Phaser's ports
7. You should see 5 tones on `artiq_sinara_test`'s frequencies, like on the picture below

![](../img/phaser_upconverter_gqrx.png)


### Baseband

1. Install gqrx `nix-shell -p gqrx`
2. Connect bladeRF via USB cable only
3. Run gqrx and choose `Nuand bladeRF SN <number>...`
4. Input rate 15000000, other settings are default
5. When gqrx loaded, start DSP processing with frequency near 2.875 GHz + frequencies from `artiq_sinara_test`
   in `Receiver Options`
6. Connect the probe through attenuator to the Phaser's ports RF0 or RF1 (not the ADC)
7. You should see 5 tones on `artiq_sinara_test`'s frequencies
